{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        <span class="text-primary fs-5 align-self-center">Kontakte <span class="text-secondary">({{ persons|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#person_filter" aria-expanded="false" aria-controls="person_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
            {% if personFilter.isFilterActive() %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Filter aktiv</span>
                </span>
            {% endif %}
        </button>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#person_search" aria-expanded="false" aria-controls="person_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
            {% if personSearchForm.vars.data.getText != null %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Suche aktiv</span>
                </span>
            {% endif %}
        </button>
        {% if canCreatePerson == true %}
            <a href="{{ path('person_management_person_create') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center">
                <span class="mdc-button__ripple"></span>
                <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
                <span class="mdc-button__label d-md-none">erfassen</span>
                <span class="mdc-button__label d-none d-md-block">Kontakt erfassen</span>
            </a>
        {% endif %}
    </div>
    <div class="collapse bg-white" id="person_search">
        <div class="p-4">
            {{ form_start(personSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': personSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': personSearchForm.text.vars.id ~ '_label',
                        'label': personSearchForm.text.vars.label,
                        'type': 'text',
                        'name': personSearchForm.text.vars.full_name,
                        'value': personSearchForm.text.vars.value,
                        'disabled': personSearchForm.text.vars.disabled,
                        'required': personSearchForm.text.vars.required,
                        'suffix': null,
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(personSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(personSearchForm._token) }}
            {{ form_end(personSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="person_filter">
        <div class="p-4">
            {{ form_start(personFilterForm) }}
            <div class="row mb-4">
                <div class="col-lg-6">
                    <span class="ms-1">Klassifizierung</span>
                    <div class="row">
                        {% for personType in personFilterForm.personTypes %}
                            <div class="col-lg-4">
                                {{ form_row(personType) }}
                            </div>
                        {% endfor %}
                    </div>
                </div>
                <div class="col-lg-6">
                    <span class="ms-1">Eigentümer/Nutzer/Suchender</span>
                    <div class="row">
                        {% for usageType in personFilterForm.usageTypes %}
                            <div class="col-lg-4">
                                {{ form_row(usageType) }}
                            </div>
                        {% endfor %}
                    </div>
                </div>
            </div>
            <div class="mb-4">
                {{ form_widget(personFilterForm.apply, {'label': 'übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                {{ form_widget(personFilterForm.reset, { 'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            </div>
            {{ form_row(personFilterForm._token) }}
            {{ form_end(personFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    {% set noEntriesText = 'Leider wurden keine Kontakte gefunden' %}

    {% if personFilter.isFilterActive() == true %}
        {% set noEntriesText = noEntriesText ~ ', die Ihren Filterkriterien entsprechen' %}
    {% endif %}

    {% set actionChoices = [] %}

    {% if canViewOnly == false %}
        {% set actionChoices = actionChoices|merge([
            {'label': 'Löschen', 'value': path('person_management_person_mass_operation_delete')},
        ]) %}
    {% endif %}

    <div class="container-fluid mt-4">
        <div class="mdc-card mb-4">
            {% include 'person_management/component/person/person_list_component.html.twig' with {
                'idPrefix': 'person_',
                'listItems': persons,
                'showActionButton': true,
                'massOperation': canViewOnly == false,
                'pagination': true,
                'sortable': true,
                'noEntriesText': noEntriesText,
                'actionChoices': actionChoices
            } only %}
        </div>
    </div>
{% endblock %}
